Payment batches & settlement

Tx Ops Get Settlement Plan

Name and signature indicate it returns tx ops get settlement plan

GEThttps://api.toku.com/stablecoin-payroll/tx-ops-get-settlement-plan

Required scope: payments:read

curl --request GET \
  --url 'https://api.toku.com/stablecoin-payroll/tx-ops-get-settlement-plan?batchID=%3CbatchID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "deterministicRoutes": [
    {}
  ],
  "nonDeterministicRoutes": [
    {
      "groupKey": "string",
      "rail": "CRYPTO",
      "paymentIntentIDs": [
        "string"
      ],
      "readyAmount": "string",
      "readyCount": 0,
      "recipientCount": 0,
      "status": "string",
      "reasons": [
        "string"
      ],
      "tokenSymbol": "string",
      "tokenAddress": "string",
      "networkName": "string",
      "networkChainID": "string",
      "availableProviders": [
        {}
      ],
      "fiatFunding": {}
    }
  ],
  "summary": {
    "deterministicIntentCount": 0,
    "nonDeterministicIntentCount": 0,
    "deterministicRouteCount": 0,
    "nonDeterministicRouteCount": 0,
    "providerCount": 0,
    "networkCount": 0,
    "tokenCount": 0,
    "hasExecutableRoutes": true
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

batchIDstring<uuid>required

Response

200Successful response
deterministicRoutesobject[]required
nonDeterministicRoutesobject[]required
Show child attributes
groupKeystringrequired
railstringrequired

Available options: CRYPTO, FIAT

paymentIntentIDsstring[]required
readyAmountstringrequired
readyCountintegerrequired
recipientCountintegerrequired
statusstringrequired
reasonsstring[]required
tokenSymbolstringrequired
tokenAddressstringrequired
networkNamestringrequired
networkChainIDstringrequired
availableProvidersobject[]
fiatFundingobject
summaryobjectrequired
Show child attributes
deterministicIntentCountintegerrequired
nonDeterministicIntentCountintegerrequired
deterministicRouteCountintegerrequired
nonDeterministicRouteCountintegerrequired
providerCountintegerrequired
networkCountintegerrequired
tokenCountintegerrequired
hasExecutableRoutesbooleanrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits